EDIT - task #9659

External Links Module reimplemented for flexible configuration
06/09/2021 08:55 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.25

Severity: normal

Description

The links in the External Links Module are hard-coded. Adding or changing links always involves developers to take action.

The module should allow to flexibly add, remove, disable links. The current set of links will become the default set.

Related issues:

Related to EDIT - task #9666: cdm_tokens module

Related to EDIT - bug #8364: ext-links module: problems

Related to EDIT - feature request #980: Links to relevant external website(s)...
Related to EDIT - task #8865: more external-links to be implemented

Related to EDIT - bug #3370: ExternallLinks [ext-links]: External services: GB...
Related to EDIT - task #9689: External Links Module: Tests implemented
Related to EDIT - bug #10192: External Links do not work in E+M

Closed
Closed
Closed

In Progress
Duplicate
New
Closed

Associated revisions

Revision ecd1141f - 06/09/2021 08:56 AM - Andreas Kohlbecker

ref #9659 admin overview on ext_links working

Revision 82e80b81 - 06/09/2021 04:40 PM - Andreas Kohlbecker

ref #9659 admin overview improved and edit form ready

Revision deba3cdd - 06/09/2021 05:36 PM - Andreas Kohlbecker
ref #9659 fixing ext_links edit link

Revision 0a381a96 - 06/09/2021 06:03 PM - Andreas Kohlbecker

ref #9659 ext_links overview: removing ensable/disable action

Revision 2a3a2a4f - 06/09/2021 06:05 PM - Andreas Kohlbecker

ref #9659 database table scheme for ext_links

Revision d259fad0 - 06/10/2021 08:29 AM - Andreas Kohlbecker
ref #9659 adding enable/disable operation again

Revision 0e38f1bf - 06/10/2021 10:27 AM - Andreas Kohlbecker
ref #9659 ext_links editing possible

Revision b03fb28d - 06/10/2021 01:57 PM - Andreas Kohlbecker

ref #9659 ext_links enable/disable operation

Revision c03b5f5d - 06/10/2021 02:36 PM - Andreas Kohlbecker
ref #9659 preparing old settings migration

Revision a14257fa - 06/10/2021 08:29 PM - Andreas Kohlbecker

ref #9659 ext_links migration of old setting complete
Revision fc1b00e2 - 06/10/2021 09:38 PM - Andreas Kohlbecker

ref #9659 ext_links migration of old setting complete - bugfix for status

Revision 019d69fa - 06/11/2021 11:50 AM - Andreas Kohlbecker

ref #9659 ext_links appaearance option

Revision 5fcd18f5 - 06/11/2021 12:02 PM - Andreas Kohlbecker

ref #9659 ext_links order configurable

Revision f545e3c5 - 06/11/2021 01:17 PM - Andreas Kohlbecker
ref #9659 ext_links enable/disable bug fix

Revision 5¢5f760a - 06/11/2021 01:49 PM - Andreas Kohlbecker

ref #9659 ext_links update function to create scheme and migrate settings

Revision d2d48638 - 06/11/2021 06:16 PM - Andreas Kohlbecker

ref #9659 using cdm_tokens in ext_links - fist step

Revision 6325712d - 06/14/2021 04:41 PM - Andreas Kohlbecker

ref #9659 updating install script for ext_links using cdm_tokens

Revision 0a311d85 - 06/14/2021 04:46 PM - Andreas Kohlbecker

ref #9659 all ext_links templates with cdm_tokens, glue removed

Revision 89aa0117 - 06/14/2021 05:11 PM - Andreas Kohlbecker

ref #9659 field 'glue’ removed from admin pages

Revision 0501ab2c - 06/14/2021 05:40 PM - Andreas Kohlbecker

ref #9659 updating existing ext_link block configurations

Revision aledfba5 - 06/14/2021 05:47 PM - Andreas Kohlbecker

ref #9659 more compact layout for ext_links by html5 labels

Revision 46aa1f81 - 06/16/2021 10:33 AM - Andreas Kohlbecker

ref #9659 improved ext_link block layout with migration of old installations

Revision 4dbe55db - 06/28/2021 04:48 PM - Andreas Kohlbecker

ref #9659 sensibly ordering ext_links defaults and defining weight correspondingly

Revision abb2570a - 06/29/2021 10:16 AM - Andreas Kohlbecker

ref #9659 automatically enabling cdm_tokens via update function

Revision 9169e636 - 06/30/2021 01:43 PM - Andreas Kohlbecker
ref #9659 deleting old code file

History

#1 - 06/09/2021 08:55 AM - Andreas Kohlbecker

- Tracker changed from bug to task

#2 - 06/11/2021 06:16 PM - Andreas Kohlbecker
- Related to task #9666: cdm_tokens module added

#3 - 06/28/2021 01:27 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50
this should be fully solved now

#4 - 06/28/2021 01:33 PM - Andreas Kohlbecker
- Related to bug #8364: ext-links module: problems added

#5 - 06/28/2021 01:33 PM - Andreas Kohlbecker

- Related to feature request #980: Links to relevant external website(s) in taxon pages added

#6 - 06/28/2021 01:34 PM - Andreas Kohlbecker

- Related to task #8865: more external-links to be implemented added

#7 - 06/29/2021 10:21 AM - Andreas Kohlbecker
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#8 - 06/30/2021 01:15 PM - Andreas Kohlbecker
- Related to bug #3370: ExternalLinks [ext-links]: External services: GBIF: add infraspecific taxa added

#9 - 06/30/2021 01:26 PM - Andreas Kohlbecker
- Related to task #9689: External Links Module: Tests implemented added

#10 - 06/30/2021 01:27 PM - Andreas Kohlbecker
tests will be implemented #9659

#11 - 11/28/2022 12:13 PM - Andreas Miiller
- Related to bug #10192: External Links do not work in E+M added
https://dev.e-taxonomy.eu/redmine/issues/9659
http://www.tcpdf.org

